Skip to content

API Reference

Update customer SAR in batch

PUT /v2/customer_sar https://api.cable.tech

Authentication

  • Bearer token in the Authorization header customer_sar:write

Request body

application/json list of objects

An array of customer SAR payloads. Each payload must include the ‘sar_id’ to identify the customer suspicious activity report and can include any other fields that need to be updated. The ‘timestamp’ field should represent the time of update.

  • sar_id string required

    Unique identifier for a suspicious activity report belonging to a customer suspicious activity report. This is the primary key for a customer suspicious activity report and should be unique across all customer suspicious activity reports. Updates to a customer suspicious activity report should be made using this identifier.

  • timestamp string required

    When this SAR was filed or updated in your system, in ISO 8601 format.

    Format date-time

  • status string required

    The status of the Suspicious Activity Report (SAR). FILED means that it has been officially filed with the appropriate regulatory agency. PENDING means that it is in the process of being filed. CANCELLED means that it is not going to be filed.

    Allowed values PENDINGFILEDCANCELLED

  • sar_reason string

    The reason for filing up a SAR for this person or company

  • related_company_id string

    Unique identifier of the related company entity (used for business contexts). At least one of related_company_id and related_person_id should be specified.

    Example company-id-12345

  • related_person_id string

    Unique identifier of the related person entity (used for retail contexts or when a person is the subject). At least only one of related_person_id and related_company_id should be specified.

    Example person-id-56789

Responses

200 Batch processing result

  • success boolean required

    Indicates if the write operation was successful.

  • write_count integer required

    The number of records written to the database.

    Format int32

  • message string required

    Provides additional information about the operation result.

  • organization_id string required

    The organization ID for which the operation was performed.

Errors

  • 400 Invalid customer SAR data in batch
  • 401 Unauthorized request
  • 404 Customer SAR not found in batch
  • 429 Rate limit exceeded
  • 500 Server error
  • default General error

Error body 400401404429500default

  • code integer required

    Format int32

  • message string required
  • errors list of objects

    Detailed information about errors in specific fields.

    • field string
    • message string